# getAaaRatingWithHistory

## getAaaRatingWithHistory

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getAaaRatingWithHistory`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get company current AAA rating and rating history.\
AAA rating consist of:\
`* Operation rating`\
`* Background rating`\
`* Finance rating`\
`* ATP rating`\
`* AAA rating`\
`* Credit limit`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getAaaRatingWithHistory' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`<br>

#### Query Parameters

| Name      | Type   | Description                                                          |
| --------- | ------ | -------------------------------------------------------------------- |
| language  | string | 2-letter language code. Must be "en", "et" or "ru". Default is "en". |
| token     | string | Your 'access token' (API key).                                       |
| reg\_code | string | Company registration number.                                         |
| country   | string | 3-letter country code "EST" or "LVA". Default is "EST".              |

{% tabs %}
{% tab title="200 " %}

```javascript
{
    "aaa_rating": {
        "operation_rating": {
            "code": "A-EST",
            "status": "Established",
            "color": "green",
            "description": null
        },
        "background_rating": {
            "code": "D-POSI",
            "status": "Positive",
            "color": "green",
            "description": null
        },
        "finance_rating": {
            "code": "F-GOOD",
            "status": "Good",
            "color": "green",
            "description": null
        },
        "atp_rating": {
            "code": "A-NONE",
            "status": "Not negative",
            "color": "green",
            "description": null
        },
        "aaa_rating": {
            "code": "AA",
            "status": "Good Creditworthiness",
            "color": "green",
            "description": null
        },
        "credit_limit": {
            "code": 111111.9,
            "status": "111112 EUR",
            "color": "green",
            "description": null
        }
    },
    "aaa_rating_history":
        {
            "id": "1111",
            "company_id": "1111",
            "operation_rating": "A-EST",
            "background_rating": "D-POSI",
            "finance_rating": "F-GOOD",
            "atp_rating": "A-NONE",
            "aaa_rating": "AA",
            "credit_limit": "111111",
            "end_date": null,
            "log": "log",
            "created_at": "2017-10-02 22:07:48",
            "updated_at": "2018-01-18 15:11:06"
        }
}
```

{% endtab %}

{% tab title="400 Invalid country code" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST and LVA countries are supported in this request"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}
